DeliveryOrder.SearchDeliveries
Try it in Swagger
Endpoint
- Method:
GET
- Route:
DeliveryOrder/SearchDeliveries
- Authentication:
Authorize
Request Schema
| Header |
Required |
Notes |
X-Api-Key |
Required when tenant is not resolved by subdomain |
Resolves the tenant/customer database. |
Authorization: Bearer {token} |
Required for authorized endpoints |
Get a token from Auth/Token or Session/Create. |
Query Parameters
| Field |
Type |
Required |
Notes |
searchValue |
string |
Yes |
Query string value. |
isPickup |
bool |
Yes |
Query string value. |
This endpoint does not accept a JSON request body.
Expected Response Schema
Status Codes
| Status |
Notes |
200 OK |
Returned by the controller for this operation. |
400 Bad Request |
Validation, invalid request, invalid contact, or service/export failure. |
404 Not Found |
Requested resource or draft was not found. |
Success Body
Response type: ExistingDeliveryResponse
| Field |
Type |
Required |
Max Length |
Notes |
workOrder |
string |
Yes |
|
|
customer |
string |
Yes |
|
|
contactCode |
int? |
No |
|
|
jobCategoryCode |
int? |
No |
|
|
referenceNumber |
string |
Yes |
|
|
plaintiff |
string |
Yes |
|
|
defendant |
string |
Yes |
|
|
claimNumber |
string |
Yes |
|
|
adjuster |
int? |
No |
|
|
billToAdjuster |
int? |
No |
|
|
pickupName |
string |
Yes |
|
|
pickupContact |
string |
Yes |
|
|
pickupPhone |
string |
Yes |
|
|
pickupDate |
DateTime? |
No |
|
|
pickupTime |
DateTime? |
No |
|
|
pickupStreet |
string |
Yes |
|
|
pickupCity |
string |
Yes |
|
|
pickupState |
string |
Yes |
|
|
pickupZip |
string |
Yes |
|
|
pickupInstructions |
string |
Yes |
|
|
deliveryName |
string |
Yes |
|
|
deliveryContact |
string |
Yes |
|
|
deliveryPhone |
string |
Yes |
|
|
deliveryStreet |
string |
Yes |
|
|
deliveryCity |
string |
Yes |
|
|
deliveryState |
string |
Yes |
|
|
deliveryZip |
string |
Yes |
|
|
deliveryDate |
DateTime? |
No |
|
|
deliveryTime |
DateTime? |
No |
|
|
deliveryInstructions |
string |
Yes |
|
|
specialInstructions |
string |
Yes |
|
|
Response Sample
{
"workOrder": "C123456",
"customer": "ABC Legal Services",
"contactCode": 456,
"jobCategoryCode": 123,
"referenceNumber": "REF-12345",
"plaintiff": "Acme Corporation",
"defendant": "John Doe",
"claimNumber": "CLM-12345",
"adjuster": 123,
"billToAdjuster": 123,
"pickupName": "Records Department",
"pickupContact": "Pam Pickup",
"pickupPhone": "2135550100",
"pickupDate": "2026-05-07T00:00:00",
"pickupTime": "10:00 AM",
"pickupStreet": "123 Main St",
"pickupCity": "Los Angeles",
"pickupState": "CA",
"pickupZip": "90012",
"pickupInstructions": "Use loading dock entrance."
}